- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Namespace List
- Namespace Members

Classes | Functions

# QtSharedPointer Namespace Reference

## Classes
struct | RemovePointer< T * >
struct | RemovePointer< QSharedPointer< T > >
struct | RemovePointer< QWeakPointer< T > >
class | Basic
struct | ExternalRefCountData
struct | ExternalRefCountWithDestroyFn
struct | ExternalRefCountWithCustomDeleter
struct | ExternalRefCountWithContiguousData
class | ExternalRefCount
## Functions
template<class X , class Y >
QSharedPointer< X > | copyAndSetPointer (X *ptr, const QSharedPointer< Y > &src)
Q_CORE_EXPORT void | internalSafetyCheckAdd2 (const void *, const volatile void *)
Q_CORE_EXPORT void | internalSafetyCheckRemove2 (const void *)
template<class T , typename Klass , typename RetVal >
void | executeDeleter (T *t, RetVal(Klass::*memberDeleter)())
template<class T , typename Deleter >
void | executeDeleter (T *t, Deleter d)
template<class T >
void | normalDeleter (T *t)
template<class X , class T >
Q_INLINE_TEMPLATE QSharedPointer< X > | copyAndSetPointer (X *ptr, const QSharedPointer< T > &src)

## Function Documentation

QSharedPointer<X> QtSharedPointer::copyAndSetPointer | ( | X * | ptr,
|  | const QSharedPointer< Y > & | src
| ) |  |

Search for all occurrences

Q_CORE_EXPORT void QtSharedPointer::internalSafetyCheckAdd2 | ( | const void * | ,
|  | const volatile void * |
| ) |  |

Search for all occurrences

Q_CORE_EXPORT void QtSharedPointer::internalSafetyCheckRemove2 | ( | const void * |  | ) |

Search for all occurrences

void QtSharedPointer::executeDeleter | ( | T * | t,
|  | RetVal(Klass::*)() | memberDeleter
| ) |  | `[inline]`

Search for all occurrences

Definition at line 104 of file qsharedpointer_impl.h.

        { (t->*memberDeleter)(); }

void QtSharedPointer::executeDeleter | ( | T * | t,
|  | Deleter | d
| ) |  | `[inline]`

Search for all occurrences

Definition at line 107 of file qsharedpointer_impl.h.

        { d(t); }

void QtSharedPointer::normalDeleter | ( | T * | t | ) | `[inline]`

Search for all occurrences

Definition at line 109 of file qsharedpointer_impl.h.

    { delete t; }

Q_INLINE_TEMPLATE QSharedPointer<X> QtSharedPointer::copyAndSetPointer | ( | X * | ptr,
|  | const QSharedPointer< T > & | src
| ) |  |

Search for all occurrences

Definition at line 770 of file qsharedpointer_impl.h.

        {
            QSharedPointer<X> result;
            result.internalSet(src.d, ptr);
            return result;
        }